Index: LMDZ6/trunk/libf/phylmdiso/add_phys_tend_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5279)
+++ LMDZ6/trunk/libf/phylmdiso/add_phys_tend_mod.F90	(revision 5282)
@@ -160,5 +160,6 @@
 #endif  
 #endif
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+USE clesphys_mod_h
+  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
           , R_ecc, R_peri, R_incl                                      &
@@ -174,5 +175,4 @@
 IMPLICIT none
 
-  include "clesphys.h"
 
 ! Arguments :
@@ -693,5 +693,6 @@
 !======================================================================
 
-USE phys_state_var_mod, ONLY : phys_tstep, ftsol
+USE clesphys_mod_h
+  USE phys_state_var_mod, ONLY : phys_tstep, ftsol
 USE geometry_mod, ONLY: longitude_deg, latitude_deg
 USE print_control_mod, ONLY: prt_level
@@ -713,5 +714,4 @@
 IMPLICIT none
 
-  include "clesphys.h"
 
 ! Arguments :
Index: LMDZ6/trunk/libf/phylmdiso/change_srf_frac_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/change_srf_frac_mod.F90	(revision 5279)
+++ LMDZ6/trunk/libf/phylmdiso/change_srf_frac_mod.F90	(revision 5282)
@@ -41,4 +41,5 @@
   USE infotrac_phy, ONLY: ntiso    
 #endif
+    USE clesphys_mod_h
     USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
           , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
@@ -53,7 +54,6 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
-    
+
 !albedo SB >>>
-    include "clesphys.h"
 !albedo SB <<<
 
Index: LMDZ6/trunk/libf/phylmdiso/clesphys.h
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/clesphys.h	(revision 5279)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/clesphys.h
Index: LMDZ6/trunk/libf/phylmdiso/clesphys_mod_h.f90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/clesphys_mod_h.f90	(revision 5282)
+++ LMDZ6/trunk/libf/phylmdiso/clesphys_mod_h.f90	(revision 5282)
@@ -0,0 +1,1 @@
+link ../phylmd/clesphys_mod_h.f90
Index: LMDZ6/trunk/libf/phylmdiso/concvl.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/concvl.F90	(revision 5279)
+++ LMDZ6/trunk/libf/phylmdiso/concvl.F90	(revision 5282)
@@ -61,4 +61,5 @@
 #endif
 #endif
+  USE clesphys_mod_h
   USE phys_local_var_mod, ONLY: omega
   USE print_control_mod, ONLY: prt_level, lunout
@@ -127,5 +128,4 @@
 
 
-  include "clesphys.h"
 
   INTEGER, INTENT(IN)                           :: iflag_clos
Index: LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5279)
+++ LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5282)
@@ -15922,8 +15922,8 @@
 #endif
 
-       implicit none   
+       USE clesphys_mod_h
+implicit none
 
       ! equivalent de phyetat0 pour les isotopes
-INCLUDE "clesphys.h"
 INCLUDE "compbl.h"
 
@@ -16097,7 +16097,6 @@
   USE isotrac_mod, ONLY: index_iso,index_zone,izone_init
 #endif
+      USE clesphys_mod_h
         implicit none
-INCLUDE "clesphys.h"
-!  INCLUDE "thermcell.h"
 INCLUDE "compbl.h"
 
@@ -16472,6 +16471,6 @@
    USE isotrac_mod, ONLY: strtrac, initialisation_isotrac, index_iso, index_zone, izone_init
 #endif
+   USE clesphys_mod_h
    IMPLICIT NONE
-INCLUDE "clesphys.h"
 INCLUDE "compbl.h"
 
Index: LMDZ6/trunk/libf/phylmdiso/phyaqua_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyaqua_mod.F90	(revision 5279)
+++ LMDZ6/trunk/libf/phylmdiso/phyaqua_mod.F90	(revision 5282)
@@ -45,4 +45,5 @@
   USE infotrac_phy, ONLY: niso
 #endif
+    USE clesphys_mod_h
     USE dimsoil_mod_h, ONLY: nsoilmx
 
@@ -62,5 +63,4 @@
 
 
-    include "clesphys.h"
 
     INTEGER, INTENT (IN) :: nlon, year_len, iflag_phys
Index: LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 5279)
+++ LMDZ6/trunk/libf/phylmdiso/phyetat0_mod.F90	(revision 5282)
@@ -59,4 +59,5 @@
 #endif
 #endif
+  USE clesphys_mod_h
   USE dimsoil_mod_h, ONLY: nsoilmx
 
@@ -78,5 +79,4 @@
   ! Objet: Lecture de l'etat initial pour la physique
   !======================================================================
-  include "clesphys.h"
   include "alpale.h"
   include "compbl.h"
Index: LMDZ6/trunk/libf/phylmdiso/phyredem.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 5279)
+++ LMDZ6/trunk/libf/phylmdiso/phyredem.F90	(revision 5282)
@@ -46,4 +46,5 @@
 #endif
 #endif
+  USE clesphys_mod_h
   USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, co2_send, carbon_cycle_rad, RCO2_glo
   USE indice_sol_mod, ONLY: nbsrf, is_oce, is_sic, is_ter, is_lic, epsfra
@@ -55,5 +56,4 @@
 
   IMPLICIT none
-  include "clesphys.h"
   include "alpale.h"
   include "compbl.h"
@@ -512,9 +512,9 @@
     use isotrac_mod, only: index_zone,index_iso,strtrac
 #endif
-      USE dimsoil_mod_h, ONLY: nsoilmx
+      USE clesphys_mod_h
+USE dimsoil_mod_h, ONLY: nsoilmx
         implicit none
 
         ! equivalent isotopique de phyredem
-INCLUDE "clesphys.h"
 INCLUDE "alpale.h"
 INCLUDE "compbl.h"
Index: LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5279)
+++ LMDZ6/trunk/libf/phylmdiso/physiq_mod.F90	(revision 5282)
@@ -443,4 +443,5 @@
           , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
           , RALPD, RBETD, RGAMD
+       USE clesphys_mod_h
 
     IMPLICIT NONE
@@ -496,5 +497,4 @@
 
     include "regdim.h"
-    include "clesphys.h"
     include "alpale.h"
     include "dimpft.h"
